﻿using Processor;

namespace UI_WinForms;

public static class ExtensionsError
{
    public static void ProcessError<TResult>(this ProcessorResult<TResult> result)
    {
        if (result.Successful)
            return;

        MessageBox.Show(result.ErrorMessage, "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
    }
}